Subject: Re: linux-next: security-testing tree build failure

From: Eric Paris <[email-masked]>
Date: Fri, 14 Nov 2008 17:42:02 -0500

On Fri, 2008-11-14 at 18:43 +1100, Stephen Rothwell wrote:
> Hi James,
> 
> On Thu, 13 Nov 2008 18:46:24 +1100 Stephen Rothwell <[email-masked]> wrote:
> >
> > Today's linux-next build (powerpc pseries_defconfig) failed like this:
> > 
> > kernel/built-in.o: In function `.__audit_log_bprm_fcaps':
> > (.text+0x63aec): undefined reference to `.get_vfs_caps_from_disk'
> > kernel/built-in.o: In function `.audit_copy_inode':
> > auditsc.c:(.text+0x64594): undefined reference to `.get_vfs_caps_from_disk'
> > 
> > get_vfs_caps_from_disk() is protected by
> > CONFIG_SECURITY_FILE_CAPABILITIES but the call sites in kernel/auditsc.c
> > are not.
> 
> This error is still there today.  I will have to drop the
> security-testing tree on Monday if this is not fixed.

I am aware.  James didn't like my first fix for CONFIG_AUDIT but not
CONFIG_SECURITY_FILE_CAPABILITIES so I just sent another one which
should address the concern.

-Eric